package cd.casic.module.execute.docker.service;

import com.github.dockerjava.api.model.Statistics;

import java.util.concurrent.BlockingQueue;

/**
 * @description: TODO
 * @author: mianbin
 * @date: 2025/5/26 14:28
 * @version: 1.0
 */
public interface IMonitorService {

    Statistics monitorDocker(String clientId, String containerId);

    BlockingQueue<Statistics> monitorsDocker(String clientId, String containerId);

    public BlockingQueue<Statistics> monitorsDockerEnableClose(String clientId, String containerId);
}
